package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("V_RS_GGFW_USER")
@ApiModel(value="VRsGgfwUser对象", description="公共服务用户表")
public class VRsGgfwUser {
	
	@ApiModelProperty(value = "用户ID")
    @TableId(value = "USERID", type = IdType.ASSIGN_UUID)
    private String userid;

    @ApiModelProperty(value = "基本信息ID")
    @TableField("ZTID")
    private String ztid;
    
    @ApiModelProperty(value = "服务对象1个人2单位")
    @TableField("FWDX")
    private String fwdx;
	          
    @ApiModelProperty(value = "名称")
    @TableField("MC")
    private String mc;
    
    @ApiModelProperty(value = "证件类型")
    @TableField("ZJLX")
    private String zjlx;
    
    @ApiModelProperty(value = "证件号码")
    @TableField("ZJHM")
    private String zjhm;
    
    @ApiModelProperty(value = "性别")
    @TableField("XB")
    private String xb;
    
    @ApiModelProperty(value = "手机号码")
    @TableField("SJHM")
    private String sjhm;
    
    @ApiModelProperty(value = "是否黑名单")
    @TableField("SFHMD")
    private String sfhmd;
    
    @ApiModelProperty(value = "创建时间")
    @TableField("CJSJ")
    private String cjsj;

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public String getZtid() {
		return ztid;
	}

	public void setZtid(String ztid) {
		this.ztid = ztid;
	}

	public String getFwdx() {
		return fwdx;
	}

	public void setFwdx(String fwdx) {
		this.fwdx = fwdx;
	}

	public String getMc() {
		return mc;
	}

	public void setMc(String mc) {
		this.mc = mc;
	}

	public String getZjlx() {
		return zjlx;
	}

	public void setZjlx(String zjlx) {
		this.zjlx = zjlx;
	}

	public String getZjhm() {
		return zjhm;
	}

	public void setZjhm(String zjhm) {
		this.zjhm = zjhm;
	}

	public String getXb() {
		return xb;
	}

	public void setXb(String xb) {
		this.xb = xb;
	}

	public String getSjhm() {
		return sjhm;
	}

	public void setSjhm(String sjhm) {
		this.sjhm = sjhm;
	}

	public String getSfhmd() {
		return sfhmd;
	}

	public void setSfhmd(String sfhmd) {
		this.sfhmd = sfhmd;
	}

	public String getCjsj() {
		return cjsj;
	}

	public void setCjsj(String cjsj) {
		this.cjsj = cjsj;
	}
}